
# S R V X 8

[[_TOC_]]

## Getting Started

Steps:
1. Request access
2. Access using SSH - [How to SSH / VNC / VPN](SSH-VPN-VNC/README.md)

## System Information

| Name | Value |
| --- | --- |
| Product | PowerEdge R730xd |
| Processor | Intel(R) Xeon(R) CPU E5-2697 v3 @ 2.60GHz |
| Cores | 2 CPU,  14 physical cores per CPU, total 56 logical CPU units |
| CPU time | 245 kh |
| Memory | 504 GB Total |
| Memory/Core |  18 Gb |

```
----------------------------------------------
                _                             
              (`  ).                          
             (     ).                     
)           _( SRVX8 '`.                
        .=(`(      .   )     .--       
       ((    (..__.:'-'   .+(   )            
`.     `(       ) )       (   .  )     
  )      ` __.:'   )     (   (   )) 
)  )  ( )       --'       `- __.'   
.-'  (_.'          .')              
                  (_  )                       
                              131.130.157.8   
--..,___.--,--'`,---..-.--+--.,,-,,.-..-._.-.-
----------------------------------------------
```

## Software

The typcial installation of a intel-server has the INTEL Compiler suite (`intel-parallel-studio`, `intel-oneapi`) and the open source GNU Compilers installed. Based on these two different compilers (`intel`, `gnu`), there are usually two version of each scientific software.
Major Libraries:
 - OpenMPI (3.1.6, 4.0.5)
 - HDF5 
 - NetCDF (C, Fortran)
 - ECCODES from [ECMWF](https://confluence.ecmwf.int/display/ECC)
 - Math libraries e.g. intel-mkl, lapack,scalapack
 - Interpreters: Python, Julia
 - Tools: cdo, ncl, nco, ncview

These software libraries are usually handled by environment modules.

![](https://upload.wikimedia.org/wikipedia/en/thumb/0/0a/Environment_Modules_logo.svg/320px-Environment_Modules_logo.svg.png)

## Currently installed modules

on how to use environment modules go to [Using Environment Modules](Misc/Environment-Modules.md)
```bash
$ module av
------------------- /home/swd/spack/share/spack/modules/linux-rhel7-haswell -------------------
anaconda2/2019.10-gcc-8.4.0
anaconda3/2021.05-gcc-8.4.0
eccodes/2.21.0-gcc-8.4.0
gcc/8.4.0-gcc-4.8.5
git/1.8.3.1-gcc-8.4.0
git/2.31.1-gcc-8.4.0
hdf5/1.10.7-gcc-8.4.0
hdf5/1.12.0-gcc-8.4.0
intel-oneapi-compilers/2021.3.0-oneapi-2021.3.0
intel-oneapi-mkl/2021.3.0-oneapi-2021.3.0
intel-oneapi-mpi/2021.3.0-oneapi-2021.3.0
miniconda2/4.7.12.1-gcc-8.4.0
miniconda3/4.10.3-gcc-8.4.0
ncl/6.5.0-gcc-8.4.0
ncl/6.6.2-gcc-8.4.0
nco/4.9.3-gcc-8.4.0
ncview/2.1.8-gcc-8.4.0
netcdf-c/4.6.3-gcc-8.4.0
netcdf-c/4.7.4-gcc-8.4.0
netcdf-fortran/4.5.2-gcc-8.4.0
netcdf-fortran/4.5.3-gcc-8.4.0
netlib-lapack/3.9.1-gcc-8.4.0
netlib-scalapack/2.1.0-gcc-8.4.0
openblas/0.3.17-gcc-8.4.0
openmpi/3.1.6-gcc-8.4.0
openmpi/4.0.5-gcc-8.4.0
openmpi/4.1.1-gcc-8.4.0
proj/8.1.0-gcc-8.4.0
python/3.8.9-gcc-4.8.5

-------------------------------------- /home/swd/modules --------------------------------------
micromamba/latest
```

## User services
There is a script collection that is accessible via the `userservices` command. e.g. running 
```bash
$ userservices

Usage: userservices [service] [Options]
Available Services:
------------------------------------------------------------------------
 archive              --- Submit files/folders to ZID Archive
 fetch-sysinfo        --- Display system information
 filesender           --- Transfer files to ACONET filesender (requires account)
 fix-permissions      --- fix file/directory permissions
 home-dir-check       --- Check home directory/configuration
 modules              --- Pretty print environment modules
 sysinfo              --- Display system information
 transfersh           --- Transfer files/directories (IMGW subnet)
 vnc                  --- VNC Server Setup/Launcher/Stopper
 vnc-geometry         --- Change geometry of VNC display
 weather              --- Retrieve weather information
------------------------------------------------------------------------

These scripts are intended to help with certain known problems.
Report problems to: michael.blaschek@univie.ac.at

```
These are scripts in a common directory. Feel free to copy or edit as you like. Note that some services like filesender require an ACONET account (accessible via your u:account). Please note the available VNC services.


## Virtual Machine Hub

Currently the system acts as a virtual machine host.
Active:
 - VERA
 - Ubuntu Geographic


## Container Hub

Currently there is the possibility to run [singularity](https://singularity.hpcng.org/) containers on all our Servers. This is really similar to docker, but much more secure for multi-user servers. Almost every docker container can be converted into a singularity container. Some of the build recipes use docker.

There are a number of prepared containers but more can be added. If you have a wish or an existing container useful for others please share. 
```yaml
containers:
 - root: /home/swd/containers
 - available:
    - RTTOV:
      - RTTOV: 12.3
      - compiler: gcc:7.3.0 (anaconda)
      - path: /home/swd/containers/rttov-jupyter/jup3rttov.sif
      - os: centos:6.10
      - python: 3.7.4
      - singularity: 3.5.2
      - packages: 
        - anaconda3
        - jupyter jupyterlab numpy matplotlib pandas xarray bottleneck dask numba scipy netcdf4 cartopy h5netcdf nc-time-axis cfgrib eccodes nodejs
      - apps:
        - atlas
        - lab
        - notebook
        - rtcoef
        - rthelp
        - rttest
```
